*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html{
    font-size: 62.5%;
}

.container{
    display: flex;
    flex-wrap: wrap;
}

.c1, .c2, .c3, .c4, .c5{
    width: 100%;
    min-width: 150px;
    height: 150px;
}

.c1{
    background-color: #114B8B; /*#FF4500;*/
}

.c2{
    background-color: #99D7FF; /*#FFA500;*/
}

.c3{
    background-color: #D0EC7F; /*#DAA520;*/
}

.c4{
    background-color: #B542F8; /*#228B22;*/
    height: auto; /*Para que muestre el contenido de c2 y c3, se agrega la altura auto para que crezca junto con su contenido*/
}

.c5{
    background-color: #F06CEC; /*#1E90FF; 53DA4F;*/
}

@media (min-width: 600px) {
    .c1{
        width: 25%;
    }

    .c4{
        width: 75%;
    }

    .c5{
        width: 100%;
    }
}

@media (min-width: 800px) { 
    .container{
        width: 800px;

        /*Esto es lo mismo...*/
        margin-left: auto;
        margin-right: auto;

        /*... que esto: de arriba-abajo no generes margen, pero de izq. a der. hazlo de forma automatica*/
        /*margin: 0 auto;*/
    }

    .c1{
        width: 50%;
        order: 1;
    }

    .c4{
        width: 100%;
    }

    .c5{
        width: 50%;
        order: 2;
    }
}